# Glib::Value< void * > Class Template Reference
[Generic Values]

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< void * >:
[legend]

List of all members.

## Public Types
typedef void* | CppType
typedef gpointer | CType
## Public Member Functions
void | set (void* data)
void* | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< void * >

## Member Typedef Documentation

typedef void* Glib::Value< void* >::CppType

typedef gpointer Glib::Value< void* >::CType

## Member Function Documentation

void* Glib::Value< void* >::get | ( |  | ) | const

void Glib::Value< void* >::set | ( | void * | data | ) |

static GType Glib::Value< void* >::value_type | ( |  | ) | `[static]`